SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- a
- c
- d
- e
- f
- g
- h
- i
- l
- p
- r
- s
- w

### - r -

- rtc_disable_alarm() : rtc_api.h
- rtc_free() : rtc_api.h
- rtc_init() : rtc_api.h
- rtc_isenabled() : rtc_api.h
- rtc_read() : rtc_api.h
- rtc_set_alarm() : rtc_api.h
- rtc_write() : rtc_api.h
- rtw_acquire_wakelock() : osdep_service.h
- rtw_atoi() : osdep_service.h
- rtw_create_task() : osdep_service.h
- rtw_create_worker_thread() : osdep_service.h
- rtw_deinit_xqueue() : osdep_service.h
- rtw_delete_task() : osdep_service.h
- rtw_delete_worker_thread() : osdep_service.h
- rtw_down_sema() : osdep_service.h
- rtw_down_timeout_sema() : osdep_service.h
- rtw_end_of_queue_search() : osdep_service.h
- rtw_enter_critical() : osdep_service.h
- rtw_enter_critical_bh() : osdep_service.h
- rtw_enter_critical_from_isr() : osdep_service.h
- rtw_enter_critical_mutex() : osdep_service.h
- rtw_exit_critical() : osdep_service.h
- rtw_exit_critical_bh() : osdep_service.h
- rtw_exit_critical_from_isr() : osdep_service.h
- rtw_exit_critical_mutex() : osdep_service.h
- rtw_free_sema() : osdep_service.h
- rtw_get_current_time() : osdep_service.h
- rtw_get_passing_time_ms() : osdep_service.h
- rtw_get_random_bytes() : osdep_service.h
- rtw_get_scheduler_state() : osdep_service.h
- rtw_get_time_interval_ms() : osdep_service.h
- rtw_getFreeHeapSize() : osdep_service.h
- rtw_init_listhead() : osdep_service.h
- rtw_init_queue() : osdep_service.h
- rtw_init_sema() : osdep_service.h
- rtw_init_xqueue() : osdep_service.h
- rtw_is_list_empty() : osdep_service.h
- rtw_list_delete() : osdep_service.h
- rtw_list_insert_head() : osdep_service.h
- rtw_list_insert_tail() : osdep_service.h
- rtw_malloc() : osdep_service.h
- rtw_malloc2d() : osdep_service.h
- rtw_mdelay_os() : osdep_service.h
- rtw_memcmp() : osdep_service.h
- rtw_memcpy() : osdep_service.h
- rtw_memset() : osdep_service.h
- rtw_mfree() : osdep_service.h
- rtw_mfree2d() : osdep_service.h
- rtw_ms_to_systime() : osdep_service.h
- rtw_msleep_os() : osdep_service.h
- rtw_mutex_free() : osdep_service.h
- rtw_mutex_get() : osdep_service.h
- rtw_mutex_get_timeout() : osdep_service.h
- rtw_mutex_init() : osdep_service.h
- rtw_mutex_put() : osdep_service.h
- rtw_pop_from_xqueue() : osdep_service.h
- rtw_push_to_xqueue() : osdep_service.h
- rtw_queue_empty() : osdep_service.h
- rtw_release_wakelock() : osdep_service.h
- rtw_sec_to_systime() : osdep_service.h
- rtw_spin_lock() : osdep_service.h
- rtw_spin_unlock() : osdep_service.h
- rtw_spinlock_free() : osdep_service.h
- rtw_spinlock_init() : osdep_service.h
- rtw_spinlock_irqsave() : osdep_service.h
- rtw_spinunlock_irqsave() : osdep_service.h
- rtw_systime_to_ms() : osdep_service.h
- rtw_systime_to_sec() : osdep_service.h
- rtw_thread_enter() : osdep_service.h
- rtw_thread_exit() : osdep_service.h
- rtw_timerChangePeriod() : osdep_service.h
- rtw_timerCreate() : osdep_service.h
- rtw_timerDelete() : osdep_service.h
- rtw_timerIsTimerActive() : osdep_service.h
- rtw_timerStop() : osdep_service.h
- rtw_udelay_os() : osdep_service.h
- rtw_up_sema() : osdep_service.h
- rtw_up_sema_from_isr() : osdep_service.h
- rtw_usleep_os() : osdep_service.h
- rtw_vmalloc() : osdep_service.h
- rtw_vmfree() : osdep_service.h
- rtw_wakeup_task() : osdep_service.h
- rtw_yield_os() : osdep_service.h
- rtw_zmalloc() : osdep_service.h
- rtw_zvmalloc() : osdep_service.h